# Generated by Django 4.2.13 on 2024-11-27 03:41

from django.db import migrations, models
import django.db.models.deletion
import django_cryptography.fields
import uuid


class Migration(migrations.Migration):
    dependencies = [
        ("api", "0013_flow_plan_remove_project_owner_chatbot_origin_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Provider",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("label", models.CharField(max_length=100)),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("OpenAI", "OpenAI"),
                            ("Anthropic", "Anthropic"),
                            ("OpenRouter", "OpenRouter"),
                        ],
                        max_length=50,
                    ),
                ),
                (
                    "api_key",
                    django_cryptography.fields.encrypt(
                        models.CharField(max_length=255)
                    ),
                ),
                (
                    "workspace",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="api.workspace",
                    ),
                ),
            ],
        ),
    ]
